### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.webdav

# Class ConnectionInfo

java.lang.Object
com.sas.services.webdav.ConnectionInfo

@SASScope("ALL") @BinaryCompatibilityOnly public class ConnectionInfo extends Object
Identifies all the information required to make a connection to a DAV server. This information includes the URL of the resource (containing the host, port and path), user ID, password, proxy host, proxy port, proxy user ID, proxy password. This object is then passed to a connection constructor. For example, if one was using this to create a DAVResource, then use something similar to the following:

     ConnectionInfo connectionInfo = new ConnectionInfo( "http://example.com/dav/resource",
                                                         "user",
                                                         "pwd" );
     connectionInfo.setproxyHost( "myproxy.com" );
     connectionInfo.setproxyPort( 3100 );
     DAVResource r = new DAVResource(connectionInfo);

Since:
  1.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionInfo(ConnectionInfo connectionInfo)`
  Constructs an instance using the specified connection information.
  `ConnectionInfo(String url)`
  Constructs an instance using the specified URL.
  `ConnectionInfo(String url, String user, String pw)`
  Constructs an instance using the specified URL, user and password.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.http.auth.AuthScope`
  `getAuthScope()`
  Gets the authentication scope which specifies which credentials should be obtained from the credentials provider.
  `org.apache.http.client.CredentialsProvider`
  `getCredentialsProvider()`
  Gets the credentials provider.
  `String`
  `getProxyHost()`
  Gets the proxy host from the connection information.
  `int`
  `getProxyPort()`
  Gets the proxy port from the connection information.
  `String`
  `getProxyPW()`
  Gets the proxy password from the connection information.
  `String`
  `getProxyUser()`
  Gets the proxy user from the connection information.
  `String`
  `getPW()`
  Gets the user password from the connection information.
  `String`
  `getUrl()`
  Gets the URL from the connection information.
  `String`
  `getUser()`
  Returns the user from the connection information.
  `void`
  `setAuthScope(org.apache.http.auth.AuthScope authScope)`
  Sets the authentication scope which specifies which credentials should be obtained from the credentials provider.
  `void`
  `setCredentialsProvider(org.apache.http.client.CredentialsProvider credentialsProvider)`
  `void`
  `setProxyHost(String proxyHost)`
  Sets the proxy host in the connection information.
  `void`
  `setProxyPort(int proxyPort)`
  Sets the proxy port in the connection information.
  `void`
  `setProxyPW(String proxyPW)`
  Sets the proxy password in the connection information.
  `void`
  `setProxyURL(URL proxyURL)`
  Sets the proxy in the connection information using a URL.
  `void`
  `setProxyUser(String proxyUser)`
  Sets the proxy user in the connection information.
  `void`
  `setPW(String pw)`
  Sets the user password in the connection information.
  `void`
  `setUrl(String url)`
  Sets the URL in the connection information.
  `void`
  `setUser(String user)`
  Sets the user in the connection information.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConnectionInfo

    public ConnectionInfo(String url)
    Constructs an instance using the specified URL.
    Parameters:
      `url` - URL

  - ### ConnectionInfo

    public ConnectionInfo(String url, String user, String pw)
    Constructs an instance using the specified URL, user and password.
    Parameters:
      `url` - URL
      `user` - User
      `pw` - Password

  - ### ConnectionInfo

    public ConnectionInfo(ConnectionInfo connectionInfo)
    Constructs an instance using the specified connection information.
    Parameters:
      `connectionInfo` - Connection information.

- ## Method Details

  - ### getUrl

    public String getUrl()
    Gets the URL from the connection information.
    Returns:
      String The URL in the connection information

  - ### setUrl

    public void setUrl(String url)
    Sets the URL in the connection information.
    Parameters:
      `url` - The URL in the connection information

  - ### getUser

    public String getUser()
    Returns the user from the connection information.
    Returns:
      The user in the connection information.

  - ### setUser

    public void setUser(String user)
    Sets the user in the connection information.
    Parameters:
      `user` - The user in the connection information

  - ### getPW

    public String getPW()
    Gets the user password from the connection information.
    Returns:
      The user password in the connection information.

  - ### setPW

    public void setPW(String pw)
    Sets the user password in the connection information.
    Parameters:
      `pw` - The user password in the connection information

  - ### getProxyHost

    public String getProxyHost()
    Gets the proxy host from the connection information.
    Returns:
      String The proxy host in the connection information

  - ### setProxyHost

    public void setProxyHost(String proxyHost)
    Sets the proxy host in the connection information.
    Parameters:
      `proxyHost` - The proxy host in the connection information

  - ### getProxyPort

    public int getProxyPort()
    Gets the proxy port from the connection information.
    Returns:
      String The proxy port in the connection information

  - ### setProxyPort

    public void setProxyPort(int proxyPort)
    Sets the proxy port in the connection information.
    Parameters:
      `proxyPort` - The proxy port in the connection information

  - ### setProxyURL

    public void setProxyURL(URL proxyURL)
    Sets the proxy in the connection information using a URL.
    Parameters:
      `proxyURL` - The proxy URL includes the host and port

  - ### getProxyUser

    public String getProxyUser()
    Gets the proxy user from the connection information.
    Returns:
      String The proxy user in the connection information

  - ### setProxyUser

    public void setProxyUser(String proxyUser)
    Sets the proxy user in the connection information.
    Parameters:
      `proxyUser` - The proxy user in the connection information

  - ### getProxyPW

    public String getProxyPW()
    Gets the proxy password from the connection information.
    Returns:
      String The proxy password in the connection information

  - ### setProxyPW

    public void setProxyPW(String proxyPW)
    Sets the proxy password in the connection information.
    Parameters:
      `proxyPW` - The proxy password in the connection information

  - ### getCredentialsProvider

    public org.apache.http.client.CredentialsProvider getCredentialsProvider()
    Gets the credentials provider.
    Returns:
      Credentials provider or `null` if there is no credentials provider.
    Since:
      9.4m8

  - ### setCredentialsProvider

    public void setCredentialsProvider(org.apache.http.client.CredentialsProvider credentialsProvider)

  - ### getAuthScope

    public org.apache.http.auth.AuthScope getAuthScope()
    Gets the authentication scope which specifies which credentials should be obtained from the credentials provider.
    Returns:
      Authentication scope or `null` if not specified.
    Since:
      9.4m8
    See Also:
      - `setAuthScope(AuthScope)`
      - `setCredentialsProvider(CredentialsProvider)`

  - ### setAuthScope

    public void setAuthScope(org.apache.http.auth.AuthScope authScope)
    Sets the authentication scope which specifies which credentials should be obtained from the credentials provider.
    Parameters:
      `authScope` - Authentication scope.
    Since:
      9.4m8
    See Also:
      - `getAuthScope()`
      - `setCredentialsProvider(CredentialsProvider)`